* {
    margin: 0;
    padding: 0;
    font-family: 'poppins', sans-serif;
    box-sizing: border-box;
  }
  
  body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url('bg.png') center / cover;
    background-size: 100% 100vh;
    background-attachment: fixed;
  }
  
  .container {
    width: 100%;
    min-height: 100vh;
    padding: 10px;
    align-content: center;
    display: flex;
    justify-content: center;
  }
  
  .todo-app {
    width: 90%;
    background: rgba(147, 23, 206, 0.2);
    backdrop-filter: blur(30px);
    margin: 20px auto 20px;
    padding: 20px 20px 40px;
    border-radius: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
  }
  
  .todo-app h2 {
    width: 100%;
    text-align: center;
    color: #ffffff;
    margin-bottom: 15px;
    margin-top: 10px;
    font-size: 24px;
    text-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
  }
  
  .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    margin-bottom: 20px;
    border-radius: 30px;
    background: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  }
  
  input {
    position: relative;
    width: 100%;
    border: none;
    outline: none;
    padding: 10px 20px;
    border-radius: 30px;
    font-size: 1em;
    background: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  }
  
  ul li {
    list-style: none;
    font-size: 18px;
    padding: 10px 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);
  }
  
  ul li:last-child {
    border-bottom: none;
  }
  
  ul li:hover {
    background-color: rgba(255, 255, 255, 0.2);
  }
  
  .done {
    color: #34C759;
    cursor: pointer;
    font-size: 20px;
    margin-right: 10px;
    transition: all 0.3s ease-in-out;
  }
  
  .done:hover {
    transform: scale(1.2);
  }
  
  .remove {
    color: #FF3737;
    cursor: pointer;
    font-size: 20px;
    margin-left: 10px;
    transition: all 0.3s ease-in-out;
  }
  
  .remove:hover {
    transform: scale(1.2);
  }
  
  .completed {
    text-decoration: line-through;
    color: #ccc;
  }
  
  .done {
    margin-right: 10px;
  }
  
  /* Mobile-specific styles */
  
  @media only screen and (max-width: 768px) {
    .todo-app {
      width: 100%;
      padding: 10px;
    }
    .row {
      padding: 10px;
    }
    input {
      padding: 10px;
    }
    ul li {
      padding: 10px;
    }
    .done, .remove {
      font-size: 18px;
    }
  }
  
  @media only screen and (max-width: 480px) {
    .todo-app {
      width: 100%;
      padding: 5px;
    }
    .row {
      padding: 5px;
    }
    input {
      padding: 5px;
    }
    ul li {
      padding: 5px;
    }
    .done, .remove {
      font-size: 16px;
    }
  }